---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: dhw-backend
spec:
  replicas: 1
  selector:
    matchLabels:
      kubernetes.io/app: dhw-backend
  template:
    metadata:
      name: dhw-backend
      labels:
        kubernetes.io/app: dhw-backend
    spec:
      volumes:
      - name: config
        configMap:
          name: dhw-backend
      containers:
      - name: dhw
        image: registry.gitlab.com/aemc/dmo/dmo-helloworld-qs:20210318T2300
        imagePullPolicy: IfNotPresent
        volumeMounts:
        - mountPath: /deployments/config
          name: config
        ports:
        - containerPort: 8080
        env:
        - name: QUARKUS_DATASOURCE_JDBC_URL
          value: jdbc:mysql://dhw-mysql:3306/dhw
        - name: QUARKUS_DATASOURCE_USERNAME
          value: dhw
        - name: QUARKUS_DATASOURCE_PASSWORD
          valueFrom:
            secretKeyRef:
              name: dhw-mysql
              key: mysql_user_password
        resources:
          requests:
            cpu: 100m
            memory: 250Mi
          limits:
            cpu: 200m
            memory: 500Mi
        livenessProbe:
          httpGet:
            path: /health
            port: 8080
          initialDelaySeconds: 10
          periodSeconds: 5
          failureThreshold: 5
          successThreshold: 1
          timeoutSeconds: 3
